# Class PostSummonStatChangeOnArenaAbAttr

Applies a stat change after a Pokémon is summoned, conditioned on the presence of a specific arena tag.

#### Hierarchy (view full)

- PostSummonStatChangeAbAttr
  - PostSummonStatChangeOnArenaAbAttr

- Defined in src/data/ability.ts:3387

#####
Index

### Constructors

constructor

### Properties

showAbility
tagType

### Methods

addCondition
apply
applyPostSummon
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostSummonStatChangeOnArenaAbAttr(tagType): PostSummonStatChangeOnArenaAbAttr

- Creates an instance of PostSummonStatChangeOnArenaAbAttr. Initializes the stat change to increase Attack by 1 stage if the specified arena tag is present.

  #### Parameters

  - tagType: ArenaTagType

    The type of arena tag to check for.

  #### Returns PostSummonStatChangeOnArenaAbAttr

  Overrides PostSummonStatChangeAbAttr.constructor

  - Defined in src/data/ability.ts:3401

## Properties

### showAbility

showAbility: boolean

Inherited from PostSummonStatChangeAbAttr.showAbility

- Defined in src/data/ability.ts:126

### `Private` tagType

tagType: ArenaTagType

The type of arena tag that conditions the stat change.

- Defined in src/data/ability.ts:3393

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostSummonStatChangeAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostSummonStatChangeAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostSummon

- applyPostSummon(pokemon, passive, args): boolean

- Applies the post-summon stat change if the specified arena tag is present on pokemon's side. This is used in Wind Rider ability.

  #### Parameters

  - pokemon: default

    The Pokémon being summoned.

  - passive: boolean

    Whether the effect is passive.

  - args: any[]

    Additional arguments.

  #### Returns boolean

  - Returns true if the stat change was applied, otherwise false.

  Overrides PostSummonStatChangeAbAttr.applyPostSummon

  - Defined in src/data/ability.ts:3415

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostSummonStatChangeAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostSummonStatChangeAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137